GET
https://api.cryptohopper.com/v1/exchange/currencies/{currency}
Returns market data for one currency: price, 24h high, low and change, market cap, supply, all-time high and a weekly price series. Also returns the total market cap and 24h volume of all tracked currencies.
OAuth scope:
read About scopes
price_per_exchange is always an empty list. ath_date is a Unix timestamp.
Example request
curl "https://api.cryptohopper.com/v1/exchange/currencies/CURRENCY" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/exchange/currencies/CURRENCY', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/exchange/currencies/CURRENCY",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/exchange/currencies/CURRENCY');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
currency |
string | Required | Currency symbol, for example BTC. Case insensitive. |
Response
{
"data": {
"currency": "BTC",
"data": {
"name": "Bitcoin",
"symbol": "BTC",
"icon": "https://cdn.cryptohopper.com/images/exchange/currencies/svg/BTC.svg",
"high_24h": "64250.1200000000",
"low_24h": "62010.5500000000",
"price_usd": "63120.4500000000",
"price_btc": "1.00000000",
"price_change_24h": "1150.2000000000",
"percent_change_24h": "1.85",
"weekly_prices": null,
"market_cap_usd": "1250000000000.00",
"volume_usd_24h": "32000000000.00",
"rank": "1",
"available_supply": "19750000.00",
"total_supply": "21000000.00",
"ath": "73750.0000000000",
"ath_date": "1710460800",
"price_per_exchange": []
},
"total": 1,
"total_market_cap": "2450000000000.00",
"total_volume_24h": "98000000000.00"
}
}